xgboost

Public Member Functions | Public Attributes | List of all members
xgboost::common::SortedQuantile Struct Reference

Quantile structure accepts sorted data, extracted from histmaker. More...

`#include <quantile.h>`

Collaboration diagram for xgboost::common::SortedQuantile:

## Public Member Functions
void | Init (unsigned max_size)
void | Push (bst_float fvalue, bst_float w, unsigned max_size)
| push a new element to sketch More...
void | Finalize (unsigned max_size)
| push final unfinished value to the sketch More...

## Public Attributes
double | sum_total {0.0}
| total sum of amount to be met More...
double | rmin
| statistics used in the sketch More...
double | wmin
bst_float | last_fvalue
| last seen feature value More...
double | next_goal
| current size of sketch More...
common::WXQuantileSketch< bst_float, bst_float > * | sketch

## Detailed Description

Quantile structure accepts sorted data, extracted from histmaker.

## Member Function Documentation

## ◆ Finalize()

void xgboost::common::SortedQuantile::Finalize | ( | unsigned | max_size | ) |
| inline

push final unfinished value to the sketch

## ◆ Init()

void xgboost::common::SortedQuantile::Init | ( | unsigned | max_size | ) |
| inline

## ◆ Push()

void xgboost::common::SortedQuantile::Push | ( | bst_float | fvalue,
|  | bst_float | w,
|  | unsigned | max_size
| ) |  |
| inline

push a new element to sketch

Parameters

  fvalue | feature value, comes in sorted ascending order
  w | weight
  max_size |

## Member Data Documentation

## ◆ last_fvalue

bst_float xgboost::common::SortedQuantile::last_fvalue

last seen feature value

## ◆ next_goal

double xgboost::common::SortedQuantile::next_goal

current size of sketch

## ◆ rmin

double xgboost::common::SortedQuantile::rmin

statistics used in the sketch

## ◆ sketch

common::WXQuantileSketch<bst_float, bst_float>* xgboost::common::SortedQuantile::sketch

## ◆ sum_total

double xgboost::common::SortedQuantile::sum_total {0.0}

total sum of amount to be met

## ◆ wmin

double xgboost::common::SortedQuantile::wmin

The documentation for this struct was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/quantile.h